xmonad-extras-0.17.2: Third party extensions for xmonad with wacky dependencies

Copyright | (c) Konstantin Sobolev <konstantin.sobolev@gmail.com>
License | BSD-style (see LICENSE)
Maintainer | Konstantin Sobolev <konstantin.sobolev@gmail.com>
Stability | unstable
Portability | unportable
Safe Haskell | Safe-Inferred
Language | Haskell2010

XMonad.Hooks.PerWindowKbdLayout

Contents

- Usage

Description

A hook that remembers per-window keyboard layouts and switches them on focus changes.

Synopsis

- perWindowKbdLayout :: Event -> X All

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Hooks.PerWindowKbdLayout

Then edit your `eventHook` by adding `perWindowKbdLayout`, for example

    main = xmonad defaultConfig { handleEventHook = perWindowKbdLayout }

perWindowKbdLayout :: Event -> X All Source #